/*
 Copyright aswing.org, see the LICENCE.txt.
*/ 
import org.aswing.*;
import org.aswing.plaf.*;
import org.aswing.plaf.basic.*;

/**
 *
 * @author firdosh
 */
 
class org.aswing.plaf.royale.RoyaleLookAndFeel extends BasicLookAndFeel
{
	public function RoyaleLookAndFeel(Void){
		super();
	}
	
	private function initSystemColorDefaults(table:UIDefaults):Void{
			var defaultSystemColors:Array = [
				  "activeCaption", 0xE0E0E0, /* Color for captions (title bars) when they are active. */
			      "activeCaptionText", 0x000000, /* Text color for text in captions (title bars). */
			    "activeCaptionBorder", 0xC0C0C0, /* Border color for caption (title bar) window borders. */
			        "inactiveCaption", 0x808080, /* Color for captions (title bars) when not active. */
			    "inactiveCaptionText", 0xC0C0C0, /* Text color for text in inactive captions (title bars). */
			  "inactiveCaptionBorder", 0xC0C0C0, /* Border color for inactive caption (title bar) window borders. */
				         "window", 0xCCCCCC, /* Default color for the interior of windows */
				   "windowBorder", 0x000000, /* ??? */
				     "windowText", 0x000000, /* ??? */
					   "menu", 0xC0C0C0, /* Background color for menus */
				       "menuText", 0x000000, /* Text color for menus  */
					   "text", 0xC0C0C0, /* Text background color */
				       "textText", 0x000000, /* Text foreground color */
				  "textHighlight", 0x000080, /* Text background color when selected */
			      "textHighlightText", 0xFFFFFF, /* Text color when selected */
			       "textInactiveText", 0x808080, /* Text color when disabled */
				        "control", 0xF4F4F4,//0xEFEFEF, /* Default color for controls (buttons, sliders, etc) */
				    "controlText", 0x000000, /* Default color for text in controls */
			       "controlHighlight", 0x8bc0ea, /* Specular highlight (opposite of the shadow) (top inner) */ 
			     "controlLtHighlight", 0x2d56b0, /* Highlight color for controls  (top outter )*/
				  "controlShadow", 0x5e81bc, /* Shadow color for controls  (bottom inner )*/        
			        "controlDkShadow", 0x2d56b0, /* Dark shadow color for controls (bottom outter)*/ 
				      "scrollbar", 0xE0E0E0 /* Scrollbar background (usually the "track") */
			];
					
					
			for(var i:Number=0; i<defaultSystemColors.length; i+=2){
				table.put(defaultSystemColors[i], new ASColorUIResource(defaultSystemColors[i+1]));
			}
					
	}
	
	
	private function initClassDefaults(table:UIDefaults):Void{
		super.initClassDefaults(table);
		
		var uiDefaults:Array = [
			   "ButtonUI", org.aswing.plaf.asw.ASWingButtonUI,
			   "PanelUI", org.aswing.plaf.asw.ASWingPanelUI,
			   "ToggleButtonUI", org.aswing.plaf.asw.ASWingToggleButtonUI,
			   "RadioButtonUI", org.aswing.plaf.asw.ASWingRadioButtonUI,
			   "CheckBoxUI", org.aswing.plaf.asw.ASWingCheckBoxUI,
			   "FrameUI", org.aswing.plaf.royale.RoyaleFrameUI
			   ];
		table.putDefaults(uiDefaults);
	}
	
	private function initComponentDefaults(table:UIDefaults):Void{
		super.initComponentDefaults(table);
	   // *** JButton
	    var comDefaults:Array = [
	    "Button.background", new ASColorUIResource(0xc7d5e7),
		    "Button.border", org.aswing.plaf.royale.border.RoyaleButtonBorder];
	    table.putDefaults(comDefaults);
	    
	    // *** ToggleButton
	    comDefaults = [
		    "ToggleButton.border", org.aswing.plaf.asw.border.ButtonBorder];
	    table.putDefaults(comDefaults);
	    
	    // *** RadioButton
	    comDefaults = [
		    "RadioButton.icon", org.aswing.plaf.asw.icon.RadioButtonIcon];
	    table.putDefaults(comDefaults);	    
	    	    
	    // *** CheckBox
	    comDefaults = [
		    "CheckBox.icon", org.aswing.plaf.asw.icon.CheckBoxIcon];
	    table.putDefaults(comDefaults);
	    
	    // *** ScrollBar
	    
	    // *** Panel
	    
	    
	   
	    // *** Frame
	    comDefaults = [	   
	    "Frame.titleBarUI", org.aswing.plaf.asw.frame.ASWingTitleBarUI,
	    "Frame.border", org.aswing.plaf.royale.border.RoyaleFrameBorder	   
	    ];
	    table.putDefaults(comDefaults);
	}
}
